Index: src/markdown.cpp
===================================================================
--- src/markdown.cpp	(revision 808)
+++ src/markdown.cpp	(working copy)
@@ -750,39 +750,29 @@
   }
   else if (isImageLink) 
   {
+    out.addStr("@image html ");
     if (link.find("@ref ")!=-1 || link.find("\\ref ")!=-1) 
         // assume doxygen symbol link
     {
-      out.addStr("@image html ");
       out.addStr(link.mid(5));
-      if (!explicitTitle && !content.isEmpty())
-      { 
-        out.addStr(" \"");
-        out.addStr(content);
-        out.addStr("\"");
-      }
-      else if ((content.isEmpty() || explicitTitle) && !title.isEmpty())
-      {
-        out.addStr(" \"");
-        out.addStr(title);
-        out.addStr("\"");
-      }
     }
     else
     {
-      out.addStr("<img src=\"");
       out.addStr(link);
-      out.addStr("\" alt=\"");
+    }
+    
+    if (!explicitTitle && !content.isEmpty())
+    { 
+      out.addStr(" \"");
       out.addStr(content);
       out.addStr("\"");
-      if (!title.isEmpty())
-      {
-        out.addStr(" title=\"");
-        out.addStr(substitute(title.simplifyWhiteSpace(),"\"","&quot;"));
-        out.addStr("\"");
-      }
-      out.addStr("/>");
     }
+    else if ((content.isEmpty() || explicitTitle) && !title.isEmpty())
+    {
+      out.addStr(" \"");
+      out.addStr(title);
+      out.addStr("\"");
+    }
   }
   else
   {
